Unified Reset
curl --request DELETE \
--url https://services.staging.app.dados.rio/eai-agent/api/v1/unified-reset \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.staging.app.dados.rio/eai-agent/api/v1/unified-reset"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.staging.app.dados.rio/eai-agent/api/v1/unified-reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://services.staging.app.dados.rio/eai-agent/api/v1/unified-reset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://services.staging.app.dados.rio/eai-agent/api/v1/unified-reset"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://services.staging.app.dados.rio/eai-agent/api/v1/unified-reset")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://services.staging.app.dados.rio/eai-agent/api/v1/unified-reset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"agent_type": "agentic_search",
"config_id": "a1b2c3d4-1234-5678-9abc-def0123456789",
"message": "Reset unificado concluído com sucesso",
"prompt_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"success": true,
"unified_version": 1,
"version_display": "eai-2025-06-26-v1"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Unified Reset
Unified Reset
Reset completo e unificado: remove todo o histórico (prompts, configs e versões) e recria valores padrão com versionamento limpo.
Args: agent_type: Tipo do agente para resetar
Returns: UnifiedResetResponse: Resultado da operação
DELETE
/
api
/
v1
/
unified-reset
Unified Reset
curl --request DELETE \
--url https://services.staging.app.dados.rio/eai-agent/api/v1/unified-reset \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.staging.app.dados.rio/eai-agent/api/v1/unified-reset"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.staging.app.dados.rio/eai-agent/api/v1/unified-reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://services.staging.app.dados.rio/eai-agent/api/v1/unified-reset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://services.staging.app.dados.rio/eai-agent/api/v1/unified-reset"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://services.staging.app.dados.rio/eai-agent/api/v1/unified-reset")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://services.staging.app.dados.rio/eai-agent/api/v1/unified-reset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"agent_type": "agentic_search",
"config_id": "a1b2c3d4-1234-5678-9abc-def0123456789",
"message": "Reset unificado concluído com sucesso",
"prompt_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"success": true,
"unified_version": 1,
"version_display": "eai-2025-06-26-v1"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Tipo do agente para resetar
Response
Successful Response
Schema para resposta do reset unificado.
Status geral da operação
Tipo do agente resetado
Mensagem informativa sobre a operação
Número da versão unificada criada
Nome da versão no padrão eai-YYYY-MM-DD-vX
ID do prompt padrão criado
ID da configuração padrão criada
